xcb_xfixes_get_client_disconnect_mode(3)

NAME
xcb_xfixes_get_client_disconnect_mode -

SYNOPSIS
#include <xcb/xfixes.h>

  Request function

xcb_xfixes_get_client_disconnect_mode_cookie_t xcb_xfixes_get_client_disconnect_mode(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_xfixes_get_client_disconnect_mode_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t disconnect_mode;
    uint8_t  pad1[20];
} xcb_xfixes_get_client_disconnect_mode_reply_t;

  Reply function

xcb_xfixes_get_client_disconnect_mode_reply_t *xcb_xfixes_get_client_disconnect_mode_reply(xcb_connection_t *conn, xcb_xfixes_get_client_disconnect_mode_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XFIXES_GET_CLIENT_DISCONNECT_MODE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

disconnect_mode
    The current disconnect mode.

DESCRIPTION

RETURN VALUE
Returns an xcb_xfixes_get_client_disconnect_mode_cookie_t. Errors have to be handled when calling the reply function xcb_xfixes_get_client_disconnect_mode_reply.

If you want to handle errors in the event loop instead, use xcb_xfixes_get_client_disconnect_mode_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xfixes.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.